
// Project: webCDwriter - Network CD Writing
// Author: Jörg Haeger, 14.05.2001

class NewAccount extends Command
{
	public NewAccount(String user, String eMail)
	{
		this.user = user;
		this.eMail = eMail;
	}

	public void run()
	{
		execCommand("newAccount "
			+ spaceToEsc(user) + " "
			+ spaceToEsc(eMail));
		if (status == SUCCESS)
		{
			State.userID = user;
			State.eMail = eMail;
		}
		super.run();
	}

	private String user, eMail;
}
